Subject: Re: Remarks for draft-wmills-oauth-lrdd-07

From: algermissen1971 <[email-masked]>
Date: Wed, 20 Mar 2013 10:29:27 +0100

Hi Bill,

On 19.02.2013, at 10:30, William Mills <[email-masked]> wrote:

> I agree that they overlap.  I'm open to any clear way to represent this, I chose not to go with a "version" link extension, since it's incrementally (by that infinitesimal calculus dx) more complicated and it then requires a registry of constants.
> 

Sorry to be a bit late.

After trying, I find no way to propose anything that is better than to simply enumerate the endpoints as you did.

I still do not like the overlap, but the problem is much more inherent in the way that OAuth 1 and 2 (not) approach discovery and avoid making use of hypermedia, IMHO. But thats all done now.

Hence,  from my POV, the I-D is good to go.

Jan

> Discussion is forward progress, so I'm happy.
> 
> -bill
> 
> From: algermissen1971 <[email-masked]>
> To: "[email-masked]" <[email-masked]> 
> Cc: link-relations <[email-masked]> 
> Sent: Tuesday, February 19, 2013 12:01 AM
> Subject: Remarks for draft-wmills-oauth-lrdd-07
> 
> William,
> 
> thanks for incorporating the changes[1].
> 
> Persionally, I am always trying to avoid semantic overlap between specs and with that hat on, I still have problems with the various link relations being tied to specific OAuth versions.
> 
> I'll go through the specific definitions again over the next days to see if I can sustain my point that, at least for some of them, the specific OAuth version does not matter but is rather a runtime capability negotiation issue.
> 
> Please bear with me :-)
> 
> Jan
> 
> [1] http://www.ietf.org/rfcdiff?url2=draft-wmills-oauth-lrdd-07
>